# 新建推广活动

## URL

[https://www.growingio.com/api/v1/projects/{project\_uid}/meta/campaigns](https://www.growingio.com/api/v1/projects/%7Bproject_uid%7D/meta/campaigns)

## 请求类型

POST

## 请求头参数

公共头部请参考[公共请求头参数](https://growingio.gitbook.io/v3/developer-manual/api-reference/authenticate)。

## 参数说明与示例

{% tabs %}
{% tab title="请求参数" %}

| 路径参数         | 类型     | 是否必传 | 说明     |
| ------------ | ------ | ---- | ------ |
| project\_uid | string | 是    | 项目UID。 |

| body参数 | 类型 | 是否必传 | 说明 |
| ------ | -- | ---- | -- |

| name | string | 是 | <p>名称</p><p>示例：双十一推广</p> |
| ---- | ------ | - | ------------------------ |

| productId    | string | 否 | 对应的App的ID。 |
| ------------ | ------ | - | ---------- |
| {% endtab %} |        |   |            |

{% tab title="body示例" %}

```
{
  "productId":"rREJ88PL",
  "name":"双十一推广"
}
```

{% endtab %}

{% tab title="返回参数" %}

| 名称           | 类型     | 说明        |
| ------------ | ------ | --------- |
| id           | string | 活动ID。     |
| name         | string | 活动名称。     |
| productId    | string | 对应App的ID。 |
| {% endtab %} |        |           |

{% tab title="响应示例" %}

```
{
  "id": "gnPNkoWA",
  "productId":"rREJ88PL",
  "name":"双十一推广"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://growingio.gitbook.io/v3/developer-manual/api-reference/query-productid/definition/createcampaign.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
